Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162601 - Linker error when creating a profiled executable
Summary: Linker error when creating a profiled executable
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-06 19:07 UTC by Jason Beardsley
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.3.90-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-10 20:27:14 UTC


Attachments (Terms of Use)

Description Jason Beardsley 2005-07-06 19:07:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050319

Description of problem:
Attempting to make a profiled executable results in a linker error.  (I have installed the glibc-profile package.)  I could find no library that provided the missing function (_dl_runtime_profile), I suspect it is internal to glibc but couldn't find it in the sources there, either.

> cat foo.c
int main() { return 0; }

> gcc -static -profile -g foo.c -o foo
/usr/lib/gcc/i386-redhat-linux/4.0.0/../../../libc_p.a(dl-trampoline.op)(.text+0x4b): In function `_dl_runtime_profile':
: undefined reference to `_dl_profile_fixup'
collect2: ld returned 1 exit status


Version-Release number of selected component (if applicable):
glibc-2.3.5-10

How reproducible:
Always

Steps to Reproduce:
See description


Additional info:

Comment 2 Ulrich Drepper 2005-07-07 02:40:02 UTC
Should be fixed upstream and be in the next rawhide release.

Comment 3 Jakub Jelinek 2005-07-10 20:27:14 UTC
Fixed in glibc-2.3.90-2.

Comment 4 Jason Beardsley 2005-07-12 19:00:43 UTC
Thanks.  Do you know if this update will eventually find its way to the FC4
updates?  (I'm assuming it may not be safe to install the updated packages
directly from rawhide.)


Note You need to log in before you can comment on or make changes to this bug.